Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888923 - [te] pofilter tabs test failed for several msgids
Summary: [te] pofilter tabs test failed for several msgids
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 771481
TreeView+ depends on / blocked
 
Reported: 2012-12-19 19:15 UTC by John Sefler
Modified: 2013-02-21 09:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:05:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0350 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-02-20 20:53:35 UTC

Description John Sefler 2012-12-19 19:15:11 UTC
Description of problem:

THE TRANSLATIONS SHOWN BELOW ARE FAILING THE pofilter tabs TEST.  WHEN TRANSLATIING A msgid, THE "\t" CHARACTERS SHOULD NOT BE STRIPPED OUT.

[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo > /usr/share/locale/te/LC_MESSAGES/rhsm.po
[root@jsefler-6 ~]# pofilter --gnome -t tabs /usr/share/locale/te/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-12-11 16:38-0500\n"
"PO-Revision-Date: 2012-12-18 02:20-0500\n"
"Last-Translator: kkrothap <kkrothap@fedoraproject.org>\n"
"Language-Team: Telugu <Fedora-trans-te@redhat.com>\n"
"Language: te\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1)\n"
"X-Generator: Zanata 2.0.2\n"

# (pofilter) tabs: Different tabs
msgid "Arch:                 \t%s"
msgstr "ఆకృతి: %s"

# (pofilter) tabs: Different tabs
msgid "Description:          \t%s"
msgstr "వివరణ: %s"

# (pofilter) tabs: Different tabs
msgid "Enabled:              \t%s"
msgstr "చేతనమైన: %s"

# (pofilter) tabs: Different tabs
msgid "Multi-Entitlement:    \t%s"
msgstr "బహుళ-యెన్టైటిల్మెంట్: %s"

# (pofilter) tabs: Different tabs
msgid "Name:                 \t%s"
msgstr "పేరు: %s"

# (pofilter) tabs: Different tabs
msgid "Quantity:             \t%s"
msgstr "పరిమాణం: %s"

# (pofilter) tabs: Different tabs
msgid "Starts:               \t%s"
msgstr "ప్రారంభం: %s"

# (pofilter) tabs: Different tabs
msgid "Status:               \t%s"
msgstr "స్థితి: %s"

# (pofilter) tabs: Different tabs
msgid "Subscription Name:    \t%s"
msgstr "సబ్‌స్క్రిప్షన్ పేరు: %s"

# (pofilter) tabs: Different tabs
msgid "Version:              \t%s"
msgstr "వర్షన్: %s"
[###########################################] 100%


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.18-1.el6.x86_64

Comment 2 Krishna Babu K 2012-12-20 08:07:13 UTC
Hi,

I have update above mentioned msgstrs with '              \t' in 1.1.x branch in zanata.

Regards,
Krishna.

Comment 3 Adrian Likins 2013-01-04 18:39:09 UTC
fixed upstread, should be in 1.1.19

Comment 5 John Sefler 2013-01-07 20:59:07 UTC
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.19-1.el6.x86_64

[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo > /usr/share/locale/te/LC_MESSAGES/rhsm.po
[root@jsefler-6 ~]# pofilter --gnome -t tabs /usr/share/locale/te/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%


VERIFIED: pofilter tabs test now passes

Comment 7 errata-xmlrpc 2013-02-21 09:05:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0350.html


Note You need to log in before you can comment on or make changes to this bug.